# Class ArbitratorTrade

#### Hierarchy

- unknown
  - ArbitratorTrade

- Defined in src/protobuf/pb_pb.d.ts:6405
- Defined in src/protobuf/pb_pb.d.ts:6419

#####
Index

### Constructors

constructor

### Methods

clearTrade
getTrade
hasTrade
serializeBinary
setTrade
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new ArbitratorTrade(): ArbitratorTrade

- #### Returns ArbitratorTrade

  Inherited from jspb.Message.constructor

## Methods

### clearTrade

- clearTrade(): ArbitratorTrade

- #### Returns ArbitratorTrade

  - Defined in src/protobuf/pb_pb.d.ts:6409

### getTrade

- getTrade(): undefined | Trade

- #### Returns undefined | Trade

  - Defined in src/protobuf/pb_pb.d.ts:6406

### hasTrade

- hasTrade(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:6408

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:6411

### setTrade

- setTrade(value?: Trade): ArbitratorTrade

- #### Parameters

  - ##### `Optional` value: Trade

  #### Returns ArbitratorTrade

  - Defined in src/protobuf/pb_pb.d.ts:6407

### toObject

- toObject(includeInstance?: boolean): ArbitratorTrade.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns ArbitratorTrade.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:6412

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): ArbitratorTrade

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns ArbitratorTrade

  - Defined in src/protobuf/pb_pb.d.ts:6415

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: ArbitratorTrade, reader: BinaryReader): ArbitratorTrade

- #### Parameters

  - ##### message: ArbitratorTrade

  - ##### reader: BinaryReader

  #### Returns ArbitratorTrade

  - Defined in src/protobuf/pb_pb.d.ts:6416

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: ArbitratorTrade, writer: BinaryWriter): void

- #### Parameters

  - ##### message: ArbitratorTrade

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:6414

### `Static` toObject

- toObject(includeInstance: boolean, msg: ArbitratorTrade): ArbitratorTrade.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: ArbitratorTrade

  #### Returns ArbitratorTrade.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:6413

Generated using TypeDoc